Project

Profile

Help

Task #4315

python-isodate-0.5.0-1.pulp or greater missing from stable/latest repo for EL6

Added by jturel 5 months ago. Updated 2 months ago.

Status:
CLOSED - COMPLETE
Priority:
Normal
Assignee:
Category:
-
Sprint/Milestone:
-
% Done:

0%

Platform Release:
2.18.1
Blocks Release:
Backwards Incompatible:
No
Groomed:
Yes
Sprint Candidate:
No
Tags:
Pulp 2, Release Engineering
QA Contact:
Complexity:
Smash Test:
Verified:
No
Verification Required:
No
Sprint:

Description

[root@centos6 yum.repos.d]# grep baseurl /etc/yum.repos.d/pulp.repo
baseurl=https://repos.fedorapeople.org/repos/pulp/pulp/stable/latest/$releasever/$basearch
[root@centos6 yum.repos.d]# yum install python-pulp-common
Loaded plugins: fastestmirror, security
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: packages.oit.ncsu.edu
 * epel: download-ib01.fedoraproject.org
 * extras: packages.oit.ncsu.edu
 * updates: packages.oit.ncsu.edu
Resolving Dependencies
--> Running transaction check
---> Package python-pulp-common.noarch 0:2.18.0-2.el6 will be installed
--> Processing Dependency: python-isodate >= 0.5.0-1.pulp for package: python-pulp-common-2.18.0-2.el6.noarch                                                                                                     
--> Finished Dependency Resolution
Error: Package: python-pulp-common-2.18.0-2.el6.noarch (pulp)
           Requires: python-isodate >= 0.5.0-1.pulp
           Available: python-isodate-0.4.7-1.el6.noarch (epel)
               python-isodate = 0.4.7-1.el6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

this is preventing katello 3.9+ client from installing the katello-agent for package actions


Related issues

Duplicated by Infrastructure - Issue #4319: Missing package in 2.18 repo CLOSED - DUPLICATE Actions

History

#1 Updated by dkliban@redhat.com 5 months ago

We stopped publishing this dep after 2.140. We need to notify the build team about this issue.

[0] https://repos.fedorapeople.org/repos/pulp/pulp/stable/2.14/6Server/x86_64/

#2 Updated by CodeHeeler 5 months ago

  • Triaged changed from No to Yes

#3 Updated by pcreech 4 months ago

Since release is imminent, This should be fixed when 2.18.1 goes out.

if 2.18.1 is delayed, I can push this out sooner

#4 Updated by ttereshc 4 months ago

  • Tracker changed from Issue to Task
  • Status changed from NEW to CLOSED - COMPLETE
  • Assignee set to pcreech
  • % Done set to 0
  • Platform Release set to 2.18.1
  • Groomed changed from No to Yes

#5 Updated by bmbouter 2 months ago

  • Tags Pulp 2 added

#6 Updated by ttereshc 23 days ago

  • Related to Issue #4319: Missing package in 2.18 repo added

#7 Updated by ttereshc 23 days ago

  • Related to deleted (Issue #4319: Missing package in 2.18 repo)

#8 Updated by ttereshc 23 days ago

  • Duplicated by Issue #4319: Missing package in 2.18 repo added

Please register to edit this issue

Also available in: Atom PDF